import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable()
export class SongAPI {

  private _url = 'http://localhost:3000';

  constructor(private httpClient: HttpClient) { }

  getAllSongs() {
    return this.httpClient.get(`${this._url}/songs`);
  }

  saveSong(song) {
    return this.httpClient.post(`${this._url}/songs`, song);
  }

  deleteSong(song) {
    return this.httpClient.delete(`${this._url}/songs/${song.id}`);
  }
}
