import { Component, Input } from '@angular/core';
import { SongStore } from '../../store/song.store';
import { Subscription } from 'rxjs/Subscription';

@Component({
  selector: 'app-banner',
  template: `
  <div class="jumbotron">
    <h1 class="display-4">{{ title }}</h1>
    <span>Total de músicas: <b>{{ count }}</b></span>
  </div>
  `
})
export class BannerComponent {

  @Input()
  title = 'My Default Title!';

  private count: number;

  private _songStoreSubscription: Subscription;

  constructor(private songStore: SongStore) {
    this._songStoreSubscription = this.songStore.songs$.subscribe(
      songs => this.count = songs.length
    );
  }
}
