import { Component, Input } from '@angular/core';

import { SongStore } from 'app/store/song.store';

@Component({
  selector: 'app-song-list',
  template: `
  <table class="table">
    <thead>
      <tr>
        <th>Artista</th>
        <th>Título</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let song of songStore.songs$ | async | reverse">
        <td>{{ song.artist }}</td>
        <td>{{ song.title }}</td>
        <td class="text-right">
          <button class="btn" (click)="onRemoveClicked(song)">Excluir</button>
        </td>
      </tr>
    </tbody>
  </table>
  `,
})
export class SongListComponent {

  constructor(public songStore: SongStore) { }

  onRemoveClicked(song) {
    this.songStore.removeSong(song);
  }
}
